Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectweb.jass.as.jboss
Class ActivityIdService

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.objectweb.jass.as.jboss.ActivityIdService

All Implemented Interfaces:
  ActivityIdServiceMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class ActivityIdService
extends org.jboss.system.ServiceMBeanSupport
implements ActivityIdServiceMBean

MBean that creates and registers the Activity ID Generator service for the JBOSS application server.

Author:
  fran Date: Feb 12, 2004 org.objectweb.jass.as.jbossActivityIdService.java

Field Summary
`static java.lang.String` | `JNDI_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`ActivityIdService()`

Method Summary
`java.lang.String` | `newActivityId()` Generates a new activity id by invoking the activity identifier generator implementation `ActivityIdGenerator`.
`void` | `startService()` Invoked when this JBOSS MBean is started.
`void` | `stopService()` Invoked when this JBOSS MBean is stopped.

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroy, getLog, getName, getServer, getServiceName, getState, getStateString, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### JNDI_NAME

    public static java.lang.String JNDI_NAME

Constructor Detail

### ActivityIdService

    public ActivityIdService()

Method Detail

### startService

    public void startService()
                      throws java.lang.Exception

  Invoked when this JBOSS MBean is started.

  Throws:
    `java.lang.Exception`

### stopService

    public void stopService()

  Invoked when this JBOSS MBean is stopped.

### newActivityId

    public java.lang.String newActivityId()

  Generates a new activity id by invoking the activity identifier generator implementation `ActivityIdGenerator`.

  Specified by:
    `newActivityId` in interface `ActivityIdServiceMBean`
  Returns:
    the last activity id created.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD